Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface GradleProject

    org.gradle.tooling.model.Model
      org.gradle.tooling.model.HierarchicalElement
          org.gradle.tooling.model.BuildableElement
              org.gradle.tooling.model.Element
                  org.gradle.tooling.model.GradleProject

All Superinterfaces:
  Model, HierarchicalElement, BuildableElement, Element

    public interface GradleProject
    extends BuildableElement, HierarchicalElement

Represents a Gradle project.

Since:
  1.0-milestone-5

Method Summary
`GradleProject` | `findByPath(String path)` Searches all descendants (children, grand-children, etc.), including self, by given path.
`GradleScript` | `getBuildScript()` Returns the build script for this project.
`DomainObjectSet` | `getChildren()` {@inheritDoc}
`GradleProject` | `getParent()` {@inheritDoc}
`String` | `getPath()` Returns the path of this project.
`DomainObjectSet` | `getTasks()` {@inheritDoc}

Methods inherited from interface HierarchicalElement
getChildren, getParent

Methods inherited from interface BuildableElement
getTasks

Method Detail

### findByPath

    @Nullable
    public GradleProject findByPath(String path)

  Searches all descendants (children, grand-children, etc.), including self, by given path.
  Returns:
    Gradle project with matching path or `null` if not found.

### getBuildScript

    @Incubating
    public GradleScript getBuildScript()

  Returns the build script for this project.
  Returns:
    The build script.
  Since:
    1.8

### getChildren

    public DomainObjectSet getChildren()

  {@inheritDoc}

### getParent

    public GradleProject getParent()

  {@inheritDoc}

### getPath

    public String getPath()

  Returns the path of this project. This is a unique identifier for this project.
  Returns:
    The path.

### getTasks

    public DomainObjectSet getTasks()

  {@inheritDoc}

Gradle API 1.10